org.wildfly.swarm.config.management.access.syslog_handler.protocol

## Class TruststoreAuthentication<T extends TruststoreAuthentication<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.access.syslog_handler.protocol.TruststoreAuthentication<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class TruststoreAuthentication<T extends TruststoreAuthentication<T>>
      extends HashMap

  Configuration for the truststore for the server certificate, if not signed by an authority.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TruststoreAuthentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `keystorePassword()` The password for the truststore.
    `T` | `keystorePassword(String value)` The password for the truststore.
    `String` | `keystorePath()` =The path of the truststore.
    `T` | `keystorePath(String value)` =The path of the truststore.
    `String` | `keystoreRelativeTo()` The name of another previously named path, or of one of the standard paths provided by the system.
    `T` | `keystoreRelativeTo(String value)` The name of another previously named path, or of one of the standard paths provided by the system.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### TruststoreAuthentication

          public TruststoreAuthentication()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### keystorePassword

          public String keystorePassword()

      The password for the truststore.

    - #### keystorePassword

          public T keystorePassword(String value)

      The password for the truststore.

    - #### keystorePath

          public String keystorePath()

      =The path of the truststore.

    - #### keystorePath

          public T keystorePath(String value)

      =The path of the truststore.

    - #### keystoreRelativeTo

          public String keystoreRelativeTo()

      The name of another previously named path, or of one of the standard paths provided by the system. If 'keystore-relative-to' is provided, the value of the 'keystore-path' attribute is treated as relative to the path specified by this attribute.

    - #### keystoreRelativeTo

          public T keystoreRelativeTo(String value)

      The name of another previously named path, or of one of the standard paths provided by the system. If 'keystore-relative-to' is provided, the value of the 'keystore-path' attribute is treated as relative to the path specified by this attribute.

Copyright © 2017 JBoss by Red Hat. All rights reserved.